Bug 1650117 - [RFE] No option to search timezone while creating reports
Summary: [RFE] No option to search timezone while creating reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Milan Zázrivec
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 11:45 UTC by Niladri Roy
Modified: 2019-12-12 13:34 UTC (History)
7 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 13:34:23 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4199 None None None 2019-12-12 13:34:38 UTC

Description Niladri Roy 2018-11-15 11:45:33 UTC
1. Proposed title of this feature request

Include option to search timezone (with city names) while creating/editing report

2. Who is the customer behind the request?

Account: name and acct # <- please include both
TAM customer: no/yes
CSM customer: no/yes
Strategic: no/yes

3. What is the nature and description of the request?

Currently one can search for timezone (using city name)

A. Configuration 'Appliance Time Zone', 

B. Cloud Intel -> Reports -> Dashboard Widget 'Time Zone' 3. Cloud Intel -> Reports ->Schedule 'Time Zone'


But we cannot search for Time Zone (using city name) in Cloud Intel -> Reports -> 'Reports' Accordion -> 'Filter' Tab -> Time Zone

4. Why does the customer need this? (List the business requirements here)

5. How would the customer like to achieve this? (List the functional requirements here)

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

9. Is the sales team involved in this request and do they have any additional input?

10. List any affected packages or components.

11. Would the customer be able to assist in testing this functionality if implemented?

Comment 5 CFME Bot 2019-02-13 01:48:54 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c9e8256755408f2bcacc19791f71becdf6a9c851
commit c9e8256755408f2bcacc19791f71becdf6a9c851
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri Feb  1 06:57:46 2019 -0500
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Feb  1 06:57:46 2019 -0500

    Report editor: add livesearch to timezone dropdown

    https://bugzilla.redhat.com/show_bug.cgi?id=1650117

 app/views/report/_form_filter_chargeback.html.haml | 4 +-
 1 file changed, 3 insertions(+), 1 deletion(-)

Comment 6 Parthvi Vala 2019-05-02 09:06:37 UTC
FIXED. Verified on 5.11.0.2.20190430174828_0e34dea.

Comment 8 errata-xmlrpc 2019-12-12 13:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4199


Note You need to log in before you can comment on or make changes to this bug.